package com.zcxk.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zcxk.entity.VerManageEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 *
 * VerManageMapper
 * @author: yjy
 * @date 2021-5-13
 */
@Mapper
public interface VerManageMapper extends BaseMapper<VerManageEntity> {

    Page<VerManageEntity> findVerManage(IPage<VerManageEntity> page, @Param("verId") String verId, @Param("productType") String productType);

    List<VerManageEntity> getUpgradeVer(@Param("productType") String productType);

    int insertSelective(VerManageEntity verManageEntity);

    int updateByPrimaryKeySelective(VerManageEntity verManageEntity);

    int deleteSelective(@Param("ids") List<String> ids);
}
